#!/bin/sh
#
# Link this file: ln -s /etc/opt/elo/xEloInit.sh /etc/X11/xinit/xinitrc.d/xEloInit.sh
#

eloser_PID=`ps -C eloser -o pid=`

eloautocalib_PID=`ps -C eloautocalib -o pid=`
 
if [ -n "$eloautocalib_PID" ]; then
	echo 'Killing existing eloautocalib processes in memory'
	killall eloautocalib
fi

# Only start'eloautocalib' if 'eloser' is running.
if [ -n "$eloser_PID" ]; then
	echo 'Loading Elo touch screen calibration data'
  # This command is executed to read the calibration values from NVRAM 
	/etc/opt/elo/eloautocalib 1
fi
